PHP Manual
Prev |  | Next

# imagecolordeallocate

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

imagecolordeallocate -- De-allocate a color for an image

## Description

bool imagecolordeallocate ( resource image, int color )

De-allocates a color previously allocated with imagecolorallocate() or imagecolorallocatealpha().

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`color`

  The color identifier

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Using imagecolordeallocate()

`<?php $white = imagecolorallocate($im, 255, 255, 255); imagecolordeallocate($im, $white); ?>`

## See Also

imagecolorallocate()
imagecolorallocatealpha()

Prev | Home | Next
imagecolorclosesthwb | Up | imagecolorexact